Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.xmlpad.tree
Class RealTimeTreeManager

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--com.japisoft.xmlpad.tree.RealTimeTreeManager

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener, StructureDamagedListener, javax.swing.event.TreeSelectionListener

public class RealTimeTreeManager
extends java.awt.event.MouseAdapter
implements StructureDamagedListener, javax.swing.event.TreeSelectionListener

This is a manager for the real time tree it decides to change it or not.

Version:
  1.0
Author:
  (c) 2002-2003 JAPISOFT

Constructor Summary
`RealTimeTreeManager(XMLContainer container)`

Method Summary
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `notifyStructureChanged()`
`void` | `resetTreeLocation(java.lang.Object[] content)`
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealTimeTreeManager

    public RealTimeTreeManager(XMLContainer container)

Method Detail

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `java.awt.event.MouseAdapter`

### notifyStructureChanged

    public void notifyStructureChanged()

  Specified by:
    `notifyStructureChanged` in interface `StructureDamagedListener`

### resetTreeLocation

    public void resetTreeLocation(java.lang.Object[] content)

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD